<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="theme.css">
    <script src="./ThemeSwitch.js" defer></script>
    <title>Démo thème switch</title>
</head>
<style>
    body{
        overflow: hidden;
    }
    main{
        position: relative;
        height: 100vh;
    }
    theme-switch{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

</style>
    <body>
        <main>
            <theme-switch></theme-switchp>
        </main>
    </body>
    <script>
        const body = document.querySelector("body");
        const el = document.querySelector("theme-switch");
        el.addEventListener("onChangeTheme", (e)=> {
            switch (e.theme) {
                case "light":
                    body.classList.remove('dark');
                    body.classList.add('light');
                    break;
                case "dark":
                    body.classList.remove('light');
                    body.classList.add('dark');
                    break;            
                default:
                    body.classList.remove('light');
                    body.classList.remove('dark');
                    break;
            }
        })
    </script>
</html>